Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.time.common
Interface Triggerable

All Known Subinterfaces:
  TriggerDef

All Known Implementing Classes:
  Sequencer

public interface Triggerable

Interface for user-written triggers. A trigger method is invoked when the time arrives, as determined by a scheduler. A trigger and a scheduler are paired up via a call to `TimeServicesDef.getScheduledTrigger()`. The trigger is called repeatedly at times specified by the scheduler until the scheduler returns a time value of zero (0), or until the ScheduledTrigger (returned by the `T3ServicesDef.getScheduledTrigger()` method) is explicitly cancelled, by calling its `cancel()` method.

If a trigger throws an exception, it is not automatically rescheduled. You must catch exceptions and reschedule the trigger if you want that behavior.

Author:
  Copyright (c) 1996-1998, WebLogic, Inc. All Rights Reserved., Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ScheduleDef`, `TimeServicesDef`, `ScheduledTriggerDef`

Method Summary
`void` | `trigger(Schedulable scheduler)` Implement this method to do the work you want to schedule.

Method Detail

### trigger

    public void trigger(Schedulable scheduler)

  Implement this method to do the work you want to schedule. Then pair the Triggerable object with a Schedulable object in a call to the factory method `TimeServicesDef.getScheduledTrigger()`, which returns a ScheduledTrigger object, upon which you operate by calling its `schedule()` and `cancel()` methods.

  Parameters:
    `scheduler` - A Schedulable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD